#!/usr/bin/python
################################################################################
#	BdsDataFile2.py		BDS API example code for a BDS DataFile access
#				T.Barnaby,	BEAM Ltd,	2012-12-19
################################################################################
#
# This Example code opens a Response file, gets information from the file.
#
import sys
import getopt
import cmath

sys.path.insert(0, '../bdsPython');
from bdslib import *

def main():
	filename = "response.ims";

	imsfile = DataFileIms();
	dataInfo = DataInfo();
	channelInfos = ChannelInfos();

	# Open the data file
	imsfile.open(filename, "w");
	imsfile.setFormat("IMS");
	
	print "Call writeData";
	db = DataBlock();
	err = imsfile.writeData(db);

	print "Call setInfo"
	(err, ci, di) = imsfile.setInfo(dataInfo, channelInfos, DataFileIms.WriteOptionSensorData);
	print err;
	
	if(err):
		print "Error:", err.getString();
	 
	return 0;

if __name__ == "__main__":
	main();
